=== xbmc/pvr/dialogs/Makefile ===
SRCS=GUIDialogPVRChannelManager.cpp \
     GUIDialogPVRChannelsOSD.cpp \
     GUIDialogPVRGroupManager.cpp \
     GUIDialogPVRGuideInfo.cpp \
     GUIDialogPVRGuideOSD.cpp \
     GUIDialogPVRGuideSearch.cpp \
     GUIDialogPVRRecordingInfo.cpp \
     GUIDialogPVRTimerSettings.cpp

LIB=pvrdialogs.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))
