## kodi 15.1+dfsg1

=== debian/changelog ===
kodi (15.1+dfsg1-3) unstable; urgency=medium

  * Make configure more verbose when building on architecture not supported
    by upstream
  * Fix FTBFS on aarch64 (Closes: #796532)
  * Don't use NEON on arm/armhf. (Closes: #797204)
  * Fix build on s390x

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 30 Aug 2015 10:20:07 +0200

kodi (15.1+dfsg1-2) unstable; urgency=medium

  * Don't stop configuration for unknown architectures
  * Drop unknown ./configure options
  * Continue configuration for unknown arches even further (Closes: #790635)
  * Link with libatomic to fix FTBFS on powerpc and some other architectures
  * Fix broken symlinks to DejaVuSans font files

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 18 Aug 2015 23:51:14 +0200

kodi (15.1+dfsg1-1) unstable; urgency=medium

  * New upstream release 15.0
    See http://www.kodi.tv/kodi-15-0-isengard-one-release-to-rule-them-all/
  * Depend on libav.*-dev provided by src:ffmpeg
  * Recommend udisks2 instead of udisks.
    Udisks has been removed from unstable but support for udisks2 is not
    implemented yet.
  * Ship patch helping Jessie backports
  * Refresh patches
  * Eliminate __DATE__ macros from source to make build more reproducible
  * Build-depend on libsdl2.*-dev instead of libsdl.*-dev
  * Build-depend on libgif-dev
  * Drop obsoleted fix of installed header's include paths
  * Refresh include file list included by kodi-addons-dev
  * Build depend on libcec (>= 3)
  * Build-depend on groovy2 instead of groovy
  * Sort build dependencies
  * Fix packaging repository URL
  * Remove removed files from debian/copyright
  * Fix filenames with spaces in debian/copyright
  * Ship TexturePacker in kodi-addons-dev in /usr/lib/kodi
  * Build depend on libcec-platform-dev
  * Stop using embedded gnulib modules in rsxs screensaver (Closes: #795813)
  * Add missing copyright paragraphs to d/copyright
  * Stop marking files as excluded which are removed from upstream tarball
    already
  * Bump standards version to 3.9.6
  * New upstream release 15.1
    See http://kodi.tv/kodi-15-1-isengard-maintenance-release/
  * Move TexturePacker to kodi-bin
  * Stop building TexturePacker statically

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 18 Aug 2015 14:16:59 +0200

kodi (14.2+dfsg1-2) unstable; urgency=medium

  * Recommend udisks (Closes: #787293)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 04 Jun 2015 09:39:30 +0200

kodi (14.2+dfsg1-1) experimental; urgency=medium

  * Fix addon shared library naming on MIPS
  * Drop non-machine-readable parts of debian/copyright
  * Generate machine-readable debian/copyright for all files
  * Clean up generated debian/copyright
  * Remove non-free files in d/copyright
  * Fix debian/watch file
  * Update debian/copyright with new removals
  * Drop get-orig-source target from d/rules.
    Use uscan for generating repacked original tarball.
  * Imported Upstream version 14.1+dfsg1
    http://kodi.tv/kodi-14-1-helix-bugfix-release
  * Copyright updates
  * Use avformat_flush(), it is now exported by FFmpeg
  * Stop using files omitted from DFSG-free tarballs
  * Sort filenames omitted from original tarball
  * Omit embedded Boost header from original tarball
  * Download original tarball from GitHub
  * Imported Upstream version 14.2+dfsg1
    http://kodi.tv/kodi-14-2-helix-the-final-translation

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 17 Jan 2015 00:30:36 +0100

kodi (14.0+dfsg1-1) experimental; urgency=medium

  * New upstream release 14.0
    See http://kodi.tv/kodi-14-0-helix-unwinds
  * Refresh patches
  * Generate "from Debian" logo from SVG

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 02 Jan 2015 13:19:52 +0100

kodi (14.0~beta1+dfsg1-1) experimental; urgency=medium

  * First packaged Kodi version based on xbmc 2:13.2+dfsg1-4
    See http://kodi.tv/introducing-kodi-14 for the rationale behind the
    name change (Closes: #767180)
  * Use packaged FFmpeg
  * Stop using internal ffmpeg functions
  * Build-depend on libcec-dev >= 2.2
  * Add upstream patches for fixing suspend and adding MIPS support

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 08 Nov 2014 11:14:40 +0100
