## kodi 15.2~rc3+dfsg1

=== debian/changelog ===
kodi (15.2~rc3+dfsg1-1~bpo8+1) jessie-backports; urgency=medium

  * Skip handling migration to automatic debug packages when it is not supported by debhelper
  * Rebuild for jessie-backports.

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 19 Oct 2015 22:12:41 +0200

kodi (15.2~rc3+dfsg1-1) unstable; urgency=medium

  * New upstream release candidate 15.2 RC3
    See http://kodi.tv/kodi-15-2-isengard-release-candidate-3

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 06 Oct 2015 12:06:19 +0200

kodi (15.2~rc1+dfsg1-2) unstable; urgency=medium

  * Make Breaks/Replaces relation to xbmc packages versioned.
    This lets dummy transition-only xbmc packages coexist with kodi.
    Also remove Provides/Replaces relations remaining from xbmc packaging.
    (Closes: #799823)
  * Split architecture-indepedent data to kodi-data.
    Only the kodi and kodi-standalone binaries are kept in kodi package which is
    now Architecture:any since it contains the architecture-specific path to
    kodi.bin. (Closes: #799979)

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 26 Sep 2015 15:13:36 +0200

kodi (15.2~rc1+dfsg1-1) unstable; urgency=medium

  [ Balint Reczey ]
  * Really fix s390x build
  * Call ./configure through dh_auto_configure
  * Convert to package to use multiarch library dirs
  * Stop shipping kodi-dbg and disable debugging during build.
    This is a preparation for the automatically generated debug packages
    and switching to FFmpeg resulted less reported crashes to BTS.
    Kodi-dbg packages used quite a big space on mirrors and weren't used
    frequently.
  * Make kodi-addons-dev Replaces/Breaks: kodi-bin (<= 15.1+dfsg1-3)
    This is needed to manage moving .cmake files to to kodi-addons-dev.
  * Migrate from kodi-dbg to ddebs properly.
    Thanks to Mattia Rizzolo
  * Make kodi-addons-dev Architecture: any
  * Simplify debian/rules using exporting DH_OPTIONS
  * New upstream release candidate 15.2 RC1
    See http://kodi.tv/kodi-15-2-isengard-release-candidate-2/
  * Refresh patches

  [ Tobias Grimm ]
  * Fixed file name of patches/09-use-correct-ftgl.h
  * Install *.cmake files in kodi-addons-dev

  [ Mattia Rizzolo ]
  * debian/rules: correct use of `echo`

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 21 Sep 2015 10:38:00 +0200
