=== debian/control ===
--- 
+++ 
@@ -117,10 +117,37 @@
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi.git
 
 Package: kodi
-Architecture: all
+Architecture: any
 Depends: kodi-bin (>= ${source:Version}),
          kodi-bin (<< ${source:Version}.1~),
-         mesa-utils,
+         kodi-data,
+         ${misc:Depends}
+Replaces: xbmc (<< 2:13.2+dfsg1-5~)
+Breaks: xbmc (<< 2:13.2+dfsg1-5~)
+Description: Open Source Home Theatre (executable binaries)
+ Kodi, formerly known as XBMC is an award winning free and
+ open source software media-player and entertainment hub for all your digital
+ media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
+ and Microsoft Windows, as well as the original Xbox game console. Created in
+ 2003 by a group of like minded programmers, Kodi is a non-profit project run
+ and developed by volunteers located around the world. More than 50 software
+ developers have contributed to Kodi, and 100-plus translators have worked to
+ expand its reach, making it available in more than 30 languages.
+ .
+ While Kodi functions very well as a standard media player application for
+ your computer, it has been designed to be the perfect companion for your
+ HTPC. Supporting an almost endless range of remote controls, and combined
+ with its beautiful interface and powerful skinning engine, Kodi feels very
+ natural to use from the couch and is the ideal solution for your home
+ theater. Once installed, your computer will become a fully functional
+ multimedia jukebox.
+ .
+ This package contains the kodi binaries.
+
+Package: kodi-data
+Architecture: all
+Multi-Arch: foreign
+Depends: mesa-utils,
          x11-utils,
          fonts-dejavu-core,
          fonts-roboto,
@@ -129,9 +156,8 @@
          python-imaging,
          ${python:Depends},
          ${misc:Depends}
-Provides: xbmc, xbmc-standalone, xbmc-data, xbmc-skin-confluence, xbmc-live
-Replaces: xbmc, xbmc-standalone, xbmc-data, xbmc-skin-confluence, xbmc-live
-Breaks: xbmc, xbmc-standalone, xbmc-data, xbmc-skin-confluence
+Replaces: xbmc (<< 2:13.2+dfsg1-5~), kodi (<< 15.2~rc1+dfsg1-2~)
+Breaks: xbmc (<< 2:13.2+dfsg1-5~), kodi (<< 15.2~rc1+dfsg1-2~)
 Description: Open Source Home Theatre (arch-independent data package)
  Kodi, formerly known as XBMC is an award winning free and
  open source software media-player and entertainment hub for all your digital
@@ -155,14 +181,16 @@
 
 Package: kodi-bin
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${dlopenlibs:Depends},
          ${misc:Depends}
 Recommends: ${shlibs:Recommends}, udisks2
-Provides: xbmc-bin, xbmc-common
-Replaces: xbmc-bin, xbmc-common
-Conflicts: xbmc-bin, xbmc-common, libgl1-mesa-swx11
-Description: Open Source Home Theatre (binary data package)
+Replaces: xbmc-bin (<< 2:13.2+dfsg1-5~)
+Breaks: xbmc-bin (<< 2:13.2+dfsg1-5~)
+Conflicts: libgl1-mesa-swx11
+Description: Open Source Home Theatre (architecture-dependent files)
  Kodi, formerly known as XBMC is an award winning free and
  open source software media-player and entertainment hub for all your digital
  media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
@@ -181,35 +209,10 @@
  multimedia jukebox.
  .
  This package contains all the binary data needed to have a working Kodi.
-
-Package: kodi-dbg
-Priority: extra
-Architecture: amd64 i386
-Section: debug
-Depends: ${misc:Depends}, kodi-bin (= ${binary:Version})
-Description: Open Source Home Theatre - debug symbols
- Kodi, formerly known as XBMC is an award winning free and
- open source software media-player and entertainment hub for all your digital
- media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
- and Microsoft Windows, as well as the original Xbox game console. Created in
- 2003 by a group of like minded programmers, Kodi is a non-profit project run
- and developed by volunteers located around the world. More than 50 software
- developers have contributed to Kodi, and 100-plus translators have worked to
- expand its reach, making it available in more than 30 languages.
- .
- While Kodi functions very well as a standard media player application for
- your computer, it has been designed to be the perfect companion for your
- HTPC. Supporting an almost endless range of remote controls, and combined
- with its beautiful interface and powerful skinning engine, Kodi feels very
- natural to use from the couch and is the ideal solution for your home
- theater. Once installed, your computer will become a fully functional
- multimedia jukebox.
- .
- This package contains debug symbols for the Kodi binary packages.
-
 
 Package: kodi-eventclients-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${python:Depends}, ${misc:Depends}
 Description: Open Source Home Theatre (Event Client Common package)
  Kodi, formerly known as XBMC is an award winning free and
@@ -233,6 +236,7 @@
 
 Package: kodi-eventclients-dev
 Architecture: all
+Multi-Arch: foreign
 Section: libdevel
 Depends: kodi-eventclients-common (= ${binary:Version}),
          ${misc:Depends}
