=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,9 @@
 #!/usr/bin/make -f
 
-# These are used for cross-compiling and for saving the configure script
-# from having to guess our platform (since we know it already)
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+# This has to be exported to make some magic below work.
+export DH_OPTIONS
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 GL_CONFIG_OPTIONS = --enable-gl --disable-gles --enable-vdpau
 ARCH_SPECIFIC_LIB_RECOMMENDS_ADD = -lvdpau
@@ -25,26 +24,17 @@
 ARCH_SPECIFIC_LIB_RECOMMENDS += $(ARCH_SPECIFIC_LIB_RECOMMENDS_ADD)
 
 # Various environment variables to set
-DEB_CFLAGS ?=  $(shell dpkg-buildflags --get CPPFLAGS) \
-  $(filter-out -g -O2, $(shell dpkg-buildflags --get CFLAGS))
-DEB_CXXFLAGS ?= $(shell dpkg-buildflags --get CPPFLAGS) \
-  $(filter-out -g -O2, $(shell dpkg-buildflags --get CXXFLAGS))
-DEB_LDFLAGS ?= $(shell dpkg-buildflags --get LDFLAGS) $(shell pkg-config --libs ftgl) -latomic
-ENV_OPTIONS = CFLAGS="$(DEB_CFLAGS)" CXXFLAGS="$(DEB_CXXFLAGS)" \
-  LDFLAGS="$(DEB_LDFLAGS)"
+export DEB_LDFLAGS_MAINT_APPEND = $(shell pkg-config --libs ftgl) -latomic
 
 # fall back to old location of libhdhomerun includes if needed
 ifneq ("$(wildcard /usr/lib/libhdhomerun/hdhomerun.h)","")
-  DEB_CXXFLAGS += -I/usr/lib/
+export DEB_CXXFLAGS_MAINT_APPEND = -I/usr/lib/
 endif
 
 # List of options to pass to configure. Can be overridden.
 # Extra options can simply be passed using KODI_CONFIG_EXTRA_OPTIONS env
 # variable.
 KODI_CONFIG_OPTIONS ?= --host=$(DEB_HOST_GNU_TYPE) \
-  --build=$(DEB_BUILD_GNU_TYPE) \
-  --prefix=/usr --docdir=/usr/share/doc/kodi \
-  --enable-debug \
   $(GL_CONFIG_OPTIONS) \
   --disable-vtbdecoder \
   --disable-openmax \
@@ -68,8 +58,7 @@
   --disable-non-free \
   --disable-gtest \
   $(ARCH_SPECIFIC_OPTIONS) \
-  $(KODI_CONFIG_EXTRA_OPTIONS) \
-  $(ENV_OPTIONS)
+  $(KODI_CONFIG_EXTRA_OPTIONS)
 
 # Used to show what config options are enabled
 show-kodi-config-options:
@@ -103,12 +92,14 @@
 		$(DEJAVUSANS) \
 		$(CURDIR)/media/Fonts/arial.ttf
 	./bootstrap
-	./configure $(KODI_CONFIG_OPTIONS)
+	dh_auto_configure -- $(KODI_CONFIG_OPTIONS)
 	# Add "from Debian" next to Kodi's original logo
 	inkscape -z --export-png=addons/skin.confluence/media/from-debian-logo.png debian/from-debian-logo.svg
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+	install -m 755 $(CURDIR)/tools/depends/native/TexturePacker/bin/TexturePacker \
+		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/kodi/
 	$(MAKE) eventclients DESTDIR=$(CURDIR)/debian/tmp \
 		WII_EXTRA_OPTS=-DCWIID_OLD
 
@@ -123,12 +114,12 @@
 	# We don't install shared libraries in standard locations so don't run
 	# dh_makeshlibs
 	# OTOH we need to remove exec flag after dh_strip
-	chmod -x $(CURDIR)/debian/tmp/usr/lib/kodi/addons/visualization.*/*.vis
-	-chmod -x $(CURDIR)/debian/tmp/usr/lib/kodi/addons/screensaver.rsxs.*/*.xbs
+	chmod -x $(CURDIR)/debian/tmp/usr/lib/*/kodi/addons/visualization.*/*.vis
+	-chmod -x $(CURDIR)/debian/tmp/usr/lib/*/kodi/addons/screensaver.rsxs.*/*.xbs
 
 override_dh_shlibdeps: debian/tmp/kodi-bin-depends-dummy.so debian/tmp/kodi-bin-recommends-dummy.so
 	dh_shlibdeps -a -O--parallel \
-		-l$(CURDIR)/debian/kodi-bin/usr/lib/kodi/system/players/dvdplayer
+		-l$(CURDIR)/debian/kodi-bin/usr/lib/*/kodi/system/players/dvdplayer
 	# Need to manually add dependencies for dlopened libs.
 	dpkg-shlibdeps -pdlopenlibs -edebian/tmp/kodi-bin-depends-dummy.so -xlibc6 -O >>debian/kodi-bin.substvars
 	dpkg-shlibdeps -dRecommends -edebian/tmp/kodi-bin-recommends-dummy.so -xlibc6 -O >>debian/kodi-bin.substvars
@@ -160,7 +151,7 @@
 		$(ARCH_SPECIFIC_LIB_RECOMMENDS)
 
 override_dh_strip:
-	dh_strip --dbg-package=kodi-dbg
+	dh_strip --ddeb-migration="kodi-dbg (<< 15.1+dfsg1-4~)" || dh_strip
 
 override_dh_installinit:
-	echo "Shipping systemd kodi.service file as an example only"
+	@echo "Shipping systemd kodi.service file as an example only"
