## kodi 15.2%2Bdfsg1

=== debian/changelog ===
kodi (15.2+dfsg1-3ubuntu1.1) xenial-security; urgency=high

  * Fix zip file directory traversal vulnerability (CVE-2017-8314)
    (Closes: #863230, LP: #1694249)
  * Add test for CVE-2017-8314 to autotools-based build

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 29 May 2017 16:58:26 +0200

kodi (15.2+dfsg1-3ubuntu1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.
  * d/p/std_isnan: fix isnan FTBFS.

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 15 Apr 2016 16:39:00 +0000

kodi (15.2+dfsg1-3) unstable; urgency=medium

  * Disable PIE due to build failure on amd64

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 25 Jan 2016 10:35:02 +0100

kodi (15.2+dfsg1-2) unstable; urgency=medium

  * Fix 03-privacy.patch to disable rss feed
  * Disable debugging by default (Closes: #777041)
  * Build-depend on fonts-droid-fallback instead of obsoleted fonts-droid
    (Closes: #804695)
  * Enable all hardening options during build
  * Migrate to libpng-dev build-dependency (Closes: #810186)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 24 Jan 2016 10:55:08 +0100

kodi (15.2+dfsg1-1) unstable; urgency=medium

  [ Balint Reczey ]
  * Skip handling migration to automatic debug packages when it is not supported by debhelper
  * Update debian/watch to not skip part of oddly named versions
  * New upstream release 15.2
    See http://kodi.tv/kodi-15-2-isengard-final-release/

  [ Andreas Cadhalpun ]
  * Fix FTBFS with upcoming FFmpeg 2.9 release (Closes: #803831)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 06 Nov 2015 18:42:22 +0400
